=== debian/changelog ===
groonga (4.0.6.1-2) unstable; urgency=low

  * Team upload.
  * debian/control
    - Support amd64,i386,kfreebsd-amd64,kfreebsd-i386 and ppc64el only
      because of build failure for other architectures. It is a just workaroud. 
    - Follow Standard-Version to 3.9.6.

 -- HAYASHI Kentaro <hayashi@clear-code.com>  Sat, 25 Oct 2014 02:58:33 +0000

groonga (4.0.6.1-1) unstable; urgency=low

  * Team upload.
  * debian/copyright
    - Add missing copyright about sphinx bundled js/css.
    - Add missing copyright about jquery-ui css.
  * Initial upload to Debian (Closes: #732055)

 -- HAYASHI Kentaro <hayashi@clear-code.com>  Wed, 15 Oct 2014 12:09:48 +0000

groonga (4.0.6-1) unstable; urgency=low

  * New upstream release.

 -- Kouhei Sutou <kou@cozmixng.org>  Mon, 29 Sep 2014 00:00:00 +0900

groonga (4.0.5-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright
    - Add missing copyright about bundled .js and .css
  * debian/missing-sources
    - Add missing-sources for bundled JavaScript.

 -- Kouhei Sutou <kou@clear-code.com>  Fri, 29 Aug 2014 00:00:00 +0900

groonga (4.0.4-1) unstable; urgency=low

  * New upstream release.

 -- HAYASHI Kentaro <hayashi@clear-code.com>  Tue, 29 Jul 2014 00:00:00 +0900

groonga (4.0.3-1) unstable; urgency=low

  * New upstream release.

 -- Kouhei Sutou <kou@clear-code.com>  Sun, 29 Jun 2014 00:00:00 +0900

groonga (4.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Kouhei Sutou <kou@clear-code.com>  Thu, 29 May 2014 00:00:00 +0900

groonga (4.0.1-2) unstable; urgency=low

  * debian/control
    - Add a missing pkg-config dependency to libgroonga-dev.
    - Depend on mecab-naist-jdic instead of mecab-ipadic-utf8 because
      mecab-naist-jdic is a replacement of mecab-ipadic-utf8.

 -- Kouhei Sutou <kou@clear-code.com>  Thu, 29 May 2014 00:00:00 +0900

groonga (4.0.1-1) unstable; urgency=low

  * New upstream release.

 -- HAYASHI Kentaro <hayashi@clear-code.com>  Sat, 29 Mar 2014 00:00:00 +0900

groonga (4.0.0-1) unstable; urgency=low

  * New upstream release.

 -- HAYASHI Kentaro <hayashi@clear-code.com>  Sun, 09 Feb 2014 00:00:00 +0900

groonga (3.1.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Add proper description to fix "duplicate-long-description" lintian warning
      for groonga-server-gqtp and groonga-server-http packages.
    - Remove needless period to fix I:description-synopsis-might-not-be-phrased-properly lintian warning.
    - Use "all" in Architecture field to fix I: package-contains-no-arch-dependent-files
      lintian warning for groonga-example package.
  * debian/rules
    - Add DEB_BUILD_HARDENING flag to fix lintian warning "hardening-no-relro" and
      "hardening-no-fortify-functions"

 -- HAYASHI Kentaro <hayashi@clear-code.com>  Wed, 29 Jan 2014 00:00:00 +0900

groonga (3.1.1-1) unstable; urgency=low

  * New upstream release.

 -- HAYASHI Kentaro <hayashi@clear-code.com>  Sun, 29 Dec 2013 00:00:00 +0900

groonga (3.1.0-1) unstable; urgency=low

  * New upstream release.

 -- HAYASHI Kentaro <hayashi@clear-code.com>  Fri, 29 Nov 2013 00:00:00 +0900

groonga (3.0.9-1) unstable; urgency=low

  * New upstream release.

 -- HAYASHI Kentaro <hayashi@clear-code.com>  Tue, 29 Oct 2013 00:00:00 +0900

groonga (3.0.8-1) unstable; urgency=low

  * New upstream release.

 -- HAYASHI Kentaro <hayashi@clear-code.com>  Sun, 29 Sep 2013 00:00:00 +0900

groonga (3.0.7-1) unstable; urgency=low

  * New upstream release.

 -- HAYASHI Kentaro <hayashi@clear-code.com>  Thu, 29 Aug 2013 00:00:00 +0900

groonga (3.0.6-1) unstable; urgency=low

  * New upstream release.

 -- HAYASHI Kentaro <hayashi@clear-code.com>  Mon, 29 Jul 2013 00:00:00 +0900

groonga (3.0.5-1) unstable; urgency=low

  * New upstream release.

 -- HAYASHI Kentaro <hayashi@clear-code.com>  Sat, 29 Jun 2013 00:00:00 +0900

groonga (3.0.4-1) unstable; urgency=low

  * New upstream release.

 -- HAYASHI Kentaro <hayashi@clear-code.com>  Wed, 29 May 2013 00:00:00 +0900

groonga (3.0.3-1) unstable; urgency=low

  * New upstream release.

 -- HAYASHI Kentaro <hayashi@clear-code.com>  Mon, 29 Apr 2013 00:00:00 +0900

groonga (3.0.2-1) unstable; urgency=low

  * New upstream release.

 -- HAYASHI Kentaro <hayashi@clear-code.com>  Fri, 29 Mar 2013 00:00:00 +0900

groonga (3.0.1-1) unstable; urgency=low

  * New upstream release.

 -- HAYASHI Kentaro <hayashi@clear-code.com>  Thu, 28 Feb 2013 00:00:00 +0900

groonga (3.0.0-1) unstable; urgency=low

  * New upstream release.

 -- HAYASHI Kentaro <hayashi@clear-code.com>  Sat, 09 Feb 2013 00:00:00 +0900

groonga (2.1.2-1) unstable; urgency=low

  * New upstream release.

 -- HAYASHI Kentaro <hayashi@clear-code.com>  Tue, 29 Jan 2013 00:00:00 +0900

groonga (2.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Kouhei Sutou <kou@clear-code.com>  Sat, 29 Dec 2012 15:04:41 +0900

groonga (2.1.0-1) unstable; urgency=low

  * New upstream release.

 -- HAYASHI Kentaro <hayashi@clear-code.com>  Sat, 29 Dec 2012 00:00:00 +0900

groonga (2.0.9-1) unstable; urgency=low

  * New upstream release.

 -- HAYASHI Kentaro <hayashi@clear-code.com>  Thu, 29 Nov 2012 00:00:00 +0900

groonga (2.0.8-1) unstable; urgency=low

  * New upstream release.

 -- Kouhei Sutou <kou@clear-code.com>  Mon, 29 Oct 2012 00:00:00 +0900

groonga (2.0.7-1) unstable; urgency=low

  * New upstream release.

 -- HAYASHI Kentaro <hayashi@clear-code.com>  Sat, 29 Sep 2012 00:00:00 +0900

groonga (2.0.6-1) unstable; urgency=low

  * New upstream release.
  * Split common tasks for server use into groonga-server-common package.
  * groonga-server and groonga-httpd require groonga-server-common package.

 -- HAYASHI Kentaro <hayashi@clear-code.com>  Wed, 29 Aug 2012 00:00:00 +0900

groonga (2.0.5-1) unstable; urgency=low

  * New upstream release.

 -- Kouhei Sutou <kou@clear-code.com>  Sun, 29 Jul 2012 00:00:00 +0900

groonga (2.0.4-1) unstable; urgency=low

  * New upstream release.


